include(../common.pri)
INCLUDEPATH += $$PWD
DEPENDPATH += $$PWD

DEFINES += QT_EXPERIMENTAL_SOLUTION QT_STATEMACHINE_SOLUTION
#DEFINES += QT_NO_STATEMACHINE_EVENTFILTER

qtanimationframework-uselib:!qtanimationframework-buildlib {
    LIBS += -L$$QTANIMATIONFRAMEWORK_LIBDIR -l$$QTANIMATIONFRAMEWORK_LIBNAME
} else {
    include(corelib_statemachine.pri)
    include(corelib_animation.pri)
    contains(QT, gui) {
        include(gui_statemachine.pri)
        include(gui_animation.pri)
    }
    SOURCES +=  $$PWD/qteasingcurve.cpp \
                $$PWD/easing.cpp \
                $$PWD/qtgraphicswidget.cpp
    HEADERS +=  $$PWD/qteasingcurve.h \
                $$PWD/qtgraphicswidget.h
}

win32 {
    contains(TEMPLATE, lib):contains(CONFIG, shared):DEFINES += Q_ANIMATION_EXPORT=__declspec(dllexport)
    else:qtanimationframework-uselib:DEFINES += Q_ANIMATION_EXPORT=__declspec(dllimport)
    else:DEFINES += Q_ANIMATION_EXPORT=
}
else {
    DEFINES += Q_ANIMATION_EXPORT=
}

QTANIMATION_API_HEADERS += \
        $$PWD/qtpauseanimation.h \ 
        $$PWD/qtabstractanimation.h \
        $$PWD/qtabstractstate.h \
        $$PWD/qtabstracttransition.h \
        $$PWD/qtactionstate.h \
        $$PWD/qtanimationgroup.h \
        $$PWD/qtanimationstate.h \
        $$PWD/qteasingcurve.h \
        $$PWD/qteventtransition.h \
        $$PWD/qtfinalstate.h \
        $$PWD/qtgraphicswidget.h \
        $$PWD/qthistorystate.h \
        $$PWD/qtkeyeventtransition.h \
        $$PWD/qtmouseeventtransition.h \
        $$PWD/qtparallelanimationgroup.h \
        $$PWD/qtpauseanimation.h \
        $$PWD/qtpropertyanimation.h \
        $$PWD/qtsequentialanimationgroup.h \
        $$PWD/qtsignalevent.h \
        $$PWD/qtsignaltransition.h \
        $$PWD/qtstateaction.h \
        $$PWD/qtstatefinishedevent.h \
        $$PWD/qtstatefinishedtransition.h \
        $$PWD/qtstate.h \
        $$PWD/qtstatemachine.h \
        $$PWD/qttransition.h \
        $$PWD/qtvariantanimation.h \
        $$PWD/QtAbstractAnimation \
        $$PWD/QtEasingCurve \
        $$PWD/QtMouseEventTransition \
        $$PWD/QtSignalTransition \
        $$PWD/QtStateMachine \
        $$PWD/QtAbstractState \
        $$PWD/QtEventTransition \
        $$PWD/QtParallelAnimationGroup \
        $$PWD/QtState \
        $$PWD/QtStateSetPropertyAction \
        $$PWD/QtAbstractTransition \ 
        $$PWD/QtFinalState \
        $$PWD/QtPauseAnimation \
        $$PWD/QtStateAction \
        $$PWD/QtTransition \
        $$PWD/QtActionState \
        $$PWD/QtGraphicsWidget \
        $$PWD/QtPropertyAnimation \
        $$PWD/QtStateFinishedEvent \
        $$PWD/QtVariantAnimation \
        $$PWD/QtAnimationGroup \
        $$PWD/QtHistoryState \
        $$PWD/QtSequentialAnimationGroup \
        $$PWD/QtStateFinishedTransition \
        $$PWD/QtAnimationState \
        $$PWD/QtKeyEventTransition \
        $$PWD/QtSignalEvent \
        $$PWD/QtStateInvokeMethodAction 

